package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.PtovtaExcecaoMultaCanc;

public class RenderPtovtaExcecaoMultaCanc implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		PtovtaExcecaoMultaCanc PtovtaExcecaoMultaCanc = (PtovtaExcecaoMultaCanc) o;

        Listcell lc = new Listcell(PtovtaExcecaoMultaCanc.getEmpresa() == null ? " - " : PtovtaExcecaoMultaCanc.getEmpresa().getNombempresa());
        lc.setParent(lstm);

        lc = new Listcell((PtovtaExcecaoMultaCanc.getOrgaoConcedente()!=null) ? PtovtaExcecaoMultaCanc.getOrgaoConcedente().getDescOrgao() : "");
        lc.setParent(lstm);

        lstm.setAttribute("data", PtovtaExcecaoMultaCanc);
	}

}
